[Swift-commit] r3825 - trunk/tests/mpi

noreply at svn.ci.uchicago.edu noreply at svn.ci.uchicago.edu
Thu Dec 23 12:36:52 CST 2010


Author: wozniak
Date: 2010-12-23 12:36:52 -0600 (Thu, 23 Dec 2010)
New Revision: 3825

Added:
   trunk/tests/mpi/title.txt
Modified:
   trunk/tests/mpi/100-mci.setup.sh
   trunk/tests/mpi/100-mpi-cp.c
   trunk/tests/mpi/tc.template.data
Log:
MPI test works again


Modified: trunk/tests/mpi/100-mci.setup.sh
===================================================================
--- trunk/tests/mpi/100-mci.setup.sh	2010-12-23 18:34:56 UTC (rev 3824)
+++ trunk/tests/mpi/100-mci.setup.sh	2010-12-23 18:36:52 UTC (rev 3825)
@@ -4,7 +4,7 @@
 
 which mpicc || exit 1
 
-mpicc -std=gnu99 $GROUP/100-mpi-cp.c -o mpi-cp || exit 1
+mpicc -std=gnu99 $GROUP/100-mpi-cp.c -o $GROUP/mpi-cp || exit 1
 
 cp -v $GROUP/100-input.txt . || exit 1
 

Modified: trunk/tests/mpi/100-mpi-cp.c
===================================================================
--- trunk/tests/mpi/100-mpi-cp.c	2010-12-23 18:34:56 UTC (rev 3824)
+++ trunk/tests/mpi/100-mpi-cp.c	2010-12-23 18:36:52 UTC (rev 3825)
@@ -1,5 +1,11 @@
-/*
+
+/**
  * Simple Hydra test
+ *
+ * usage: mpi-cp <input> <output>
+ *
+ * Rank 0 reads the input file and sends it to rank 1.
+ * Rank 1 recvs the data and writes the output.
  */
 
 #include <assert.h>

Modified: trunk/tests/mpi/tc.template.data
===================================================================
--- trunk/tests/mpi/tc.template.data	2010-12-23 18:34:56 UTC (rev 3824)
+++ trunk/tests/mpi/tc.template.data	2010-12-23 18:36:52 UTC (rev 3825)
@@ -19,6 +19,4 @@
 
 # hydra-tests-2
 
-coasterslocal 	mpi_cp 		_PWD_/mpi-cp    INSTALLED	INTEL32::LINUX	globus::hostCount=2
-
-# coasterslocal 	mpi_cp 		/bin/false    INSTALLED	INTEL32::LINUX	globus::hostCount=2
+coasterslocal 	mpi_cp 		_DIR_/mpi-cp    INSTALLED	INTEL32::LINUX	globus::hostCount=2

Added: trunk/tests/mpi/title.txt
===================================================================
--- trunk/tests/mpi/title.txt	                        (rev 0)
+++ trunk/tests/mpi/title.txt	2010-12-23 18:36:52 UTC (rev 3825)
@@ -0,0 +1,2 @@
+MPI Tests
+




More information about the Swift-commit mailing list